// SPDX-License-Identifier: Apache-2.0
import { Query } from "../../../../../core/query/Query";
export class GetAmortizationForQueryResponse {
    amortizationFor;
    constructor(amortizationFor) {
        this.amortizationFor = amortizationFor;
    }
}
export class GetAmortizationForQuery extends Query {
    securityId;
    targetId;
    amortizationId;
    constructor(securityId, targetId, amortizationId) {
        super();
        this.securityId = securityId;
        this.targetId = targetId;
        this.amortizationId = amortizationId;
    }
}
